Skip to main content
GET
/
api
/
v1
/
auth
/
merchants
List Master Merchants (Vendors)
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/merchants \
  --header 'Authorization: Bearer <token>'
{
  "merchants": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "kyc_status": "<string>",
      "is_active": true,
      "parent_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_id
integer
required
Required range: x >= 1
page_size
integer
required
Required range: 5 <= x <= 50

Response

200 - application/json

List of merchants

merchants
object[]